/* #region HEADER */
.header {
  position: fixed;
  top: 40px;
  left: 0;
  width: 100%;
  z-index: 3;
  display: flex;
  justify-content: center;
  transition: all 0.3s ease;
}

.header__container {
  position: relative;
  z-index: 2;
  -webkit-backdrop-filter: blur(2px);
  max-width: 1451px;
  width: 95%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 18px;
  padding: 20px 24px;
  transition: all 0.3s ease;
  position: relative;
  border-radius: 500px;
  border: 1px solid #37393c;
  background: rgba(32, 34, 36, 0.3);
  box-shadow: 0 1px 4px 0 rgba(38, 40, 46, 0.4);
  backdrop-filter: blur(2px);
}

.header__nav {
  display: flex;
}

.header__list {
  display: flex;
  gap: 32px;
  text-align: center;
}

.header__link {
  color: #fafafa;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.33;
  transition: color 0.3s, text-shadow 0.3s;

  &:hover {
    color: #7664ff;
    text-shadow: 0 0 8px #7664ff;
  }
}

.header__actions {
  display: flex;
  align-items: center;
  gap: 22px;
}

.lang-switcher {
  display: flex;
  align-items: center;
  position: relative;
  cursor: pointer;
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  line-height: 1.35;
  letter-spacing: -0.2px;
  text-transform: uppercase;
  z-index: 2;
  user-select: none;

  &.is-open {
    .lang-switcher__list {
      display: flex;
      opacity: 1;
      pointer-events: all;
      transform: translateY(0) translateX(-35%);
    }

    .lang-switcher__current {
      color: #7664ff;

      .arrow {
        transform: rotate(180deg);
      }
    }
  }
}

.lang-switcher__current {
  display: flex;
  align-items: center;
  gap: 8px;
  color: #fff;
  transition: color 0.3s, text-shadow 0.3s;

  .arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
  }

  &:hover {
    color: #7664ff;
    text-shadow: 0 0 8px rgba(118, 100, 255, 0.4);
  }
}

.lang-switcher__list {
  display: flex;
  flex-direction: column;
  gap: 10px;
  position: absolute;
  top: calc(100% + 10px);
  left: 50%;
  transform: translateX(-50%) translateY(-10px);
  padding: 13px 22px;
  border-radius: 5px;
  border: 1px solid #272727;
  background: #000;
  opacity: 0;
  transition: opacity 0.3s, transform 0.3s;
  z-index: 6;
  min-width: 80px;

  li {
    color: #fff;
    transition: color 0.3s;
    cursor: pointer;

    &:hover {
      color: #7664ff;
    }

    &.active {
      opacity: 1;
      color: #7664ff;
      font-weight: 700;
    }
  }
}

.header.is-scrolled {
  top: 0;

  .header__container {
    width: 100%;
    max-width: 100%;
    border-radius: 0;
    border-top: none;
    border-left: none;
    border-right: none;
    background: rgba(32, 34, 36, 0.9);
  }
}

.burger-btn {
  display: none;
  align-items: center;
  flex-direction: column;
  justify-content: space-around;
  cursor: pointer;
  width: 24px;
  height: 24px;
  position: relative;
  z-index: 7;

  span {
    display: block;
    position: relative;
    width: 100%;
    height: 2px;
    background: white;
    transition: transform 0.3s, opacity 0.3s, background 0.3s;
    transform-origin: center;
  }

  &.is-open {
    span {
      background: #7664ff;
    }

    span:nth-child(1) {
      transform: translateY(6px) rotate(45deg);
    }

    span:nth-child(2) {
      opacity: 0;
      transform: scale(0);
    }

    span:nth-child(3) {
      transform: translateY(-10px) rotate(-45deg);
    }
  }

  &:hover {
    span {
      background: #7664ff;
    }
  }
}

.mobile-menu {
  position: absolute;
  width: 95%;
  height: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  border-radius: 15px;
  border: 1px solid rgba(55, 57, 60, 0);
  background: #0f0e15;
  box-shadow: 0 1px 4px 0 rgba(38, 40, 46, 0.37);
  backdrop-filter: blur(2px);
  transition: height 0.4s, top 0.4s, opacity 0.4s;
  opacity: 0;
  z-index: 0;
}

.header.is-scrolled .mobile-menu {
  border-radius: 0;
}

.mobile-menu.is-open {
  height: 535px;
  top: 110%;
  opacity: 1;
}

.mobile-menu__nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  opacity: 0;
  width: 100%;
  transition: opacity 0.3s;
}

.mobile-menu.is-open .mobile-menu__nav {
  opacity: 1;
}

.mobile-menu__link {
  color: #fafafa;
  font-weight: 600;
  line-height: 1.3;
  width: 100%;
  text-align: center;
  transition: color 0.3s;

  &:hover {
    color: #6a4cff;
  }
}

@media (width < 1200px) {
  .header__container {
    max-width: 1024px;
  }
  .header__list {
    gap: 20px;
  }
  .header__link {
    font-size: 16px;
  }
}

@media (width < 991px) {
  .header__nav {
    display: none;
  }
  .header__list {
    gap: 32px;
  }
  .btn--header {
    display: none;
  }
  .burger-btn {
    display: flex;
  }
  .header__link {
    font-size: 18px;
  }
}

@media (width < 768px) {
}

/* #endregion Header */

/* #region FOOTER */
.footer {
  padding-block: 70px;
  background: #110d24;
}
.footer__wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 40px;
}
.footer__logo {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 12px;
}

.footer__logo-link {
  max-width: 130px;
  img {
    transition: filter 0.3s;
  }

  &:hover {
    img {
      filter: brightness(1.5);
    }
  }
}

.footer__nav {
  display: flex;
}
.footer__list {
  display: flex;
  gap: 32px;
}
.footer__link {
  color: #fafafa;
  font-size: 18px;
  line-height: 1.33;
  transition: color 0.3s, text-shadow 0.3s;

  &:hover {
    color: #7664ff;
    text-shadow: 0 0 8px #7664ff;
  }
}
.footer__actions {
  display: flex;
  align-items: center;
  gap: 26px;
}
.footer__socials {
  display: flex;
  align-items: center;
  gap: 16px;
}
.footer__socials-item {
  img {
    transition: filter 0.3s;
  }
  &:hover {
    img {
      filter: brightness(1.5);
    }
  }
}
.footer__info {
  display: flex;
  gap: 8px;
  align-items: center;
  color: #6b6b6b;
  font-size: 16px;
  font-weight: 400;

  p {
    &:last-child {
      margin-inline: auto;
    }
  }

  a {
    color: #b7a2ff;

    &:hover {
      color: #7664ff;
      text-shadow: 0 0 8px #7664ff;
    }
  }
}
@media (width < 1200px) {
  .footer__list {
    gap: 18px;
  }
}

@media (width < 991px) {
  .footer {
    padding-block: 60px;
  }
  .footer__logo {
    flex-direction: column;
    gap: 0;
    position: relative;

    .lang-switcher {
      position: absolute;
      top: 22%;
      right: 5%;
    }
  }
  .footer__logo-link {
    margin-bottom: 48px;
  }
  .footer__nav {
    width: 100%;
  }
  .footer__list {
    flex-direction: column;
    width: 100%;
  }
  .footer__actions {
    margin-top: 35px;
    flex-direction: column-reverse;
    align-items: flex-start;
    width: 100%;
  }
  .footer__socials {
    justify-content: center;
  }
  .footer__info {
    align-items: flex-start;
    flex-direction: column;
    text-align: start;
    p {
      &:last-child {
        margin-inline: 0;
      }
    }
  }
}

/* #endregion FOOTER */
